curl --request POST \
--url https://mainnet.mirrornode.hedera.com/api/v1/network/fees \
--header 'Content-Type: application/protobuf' \
--data '<string>'import requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/network/fees"
payload = "<string>"
headers = {"Content-Type": "application/protobuf"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/protobuf'},
body: '<string>'
};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/network/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mainnet.mirrornode.hedera.com/api/v1/network/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "<string>",
CURLOPT_HTTPHEADER => [
"Content-Type: application/protobuf"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mainnet.mirrornode.hedera.com/api/v1/network/fees"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/protobuf")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mainnet.mirrornode.hedera.com/api/v1/network/fees")
.header("Content-Type", "application/protobuf")
.body("<string>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mainnet.mirrornode.hedera.com/api/v1/network/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/protobuf'
request.body = "<string>"
response = http.request(request)
puts response.read_body{
"high_volume_multiplier": 100,
"network": {
"multiplier": 2,
"subtotal": 1200
},
"node": {
"base": 1000,
"extras": [
{
"charged": 1,
"count": 2,
"fee_per_unit": 100,
"included": 1,
"name": "Signatures",
"subtotal": 100
}
]
},
"service": {
"base": 1000,
"extras": [
{
"charged": 1,
"count": 2,
"fee_per_unit": 100,
"included": 1,
"name": "Signatures",
"subtotal": 100
}
]
},
"total": 1000,
"notes": [
"Fallback to worst-case due to missing state"
]
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}{
"_status": {
"messages": [
{
"message": "Require at least 1/3 signature files to prove consensus, got 1 out of 4 for file 2019-10-11T13_33_25.526889Z.rcd_sig"
}
]
}
}Estimate network fees
Given a protobuf-encoded HAPI transaction, returns an itemized fee estimate in tinycents.
The response is broken down into node, network, and service components, each with a
base price and a list of extras (e.g., signatures, memo bytes). The total field is
the sum of all subtotals.
When the request transaction sets the HIP-1313
high_volume flag, the response includes a high_volume_multiplier. The totals in the
response are not pre-multiplied — multiply total by high_volume_multiplier / 1000
to obtain the high-volume price.
curl --request POST \
--url https://mainnet.mirrornode.hedera.com/api/v1/network/fees \
--header 'Content-Type: application/protobuf' \
--data '<string>'import requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/network/fees"
payload = "<string>"
headers = {"Content-Type": "application/protobuf"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/protobuf'},
body: '<string>'
};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/network/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mainnet.mirrornode.hedera.com/api/v1/network/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "<string>",
CURLOPT_HTTPHEADER => [
"Content-Type: application/protobuf"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mainnet.mirrornode.hedera.com/api/v1/network/fees"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/protobuf")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mainnet.mirrornode.hedera.com/api/v1/network/fees")
.header("Content-Type", "application/protobuf")
.body("<string>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mainnet.mirrornode.hedera.com/api/v1/network/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/protobuf'
request.body = "<string>"
response = http.request(request)
puts response.read_body{
"high_volume_multiplier": 100,
"network": {
"multiplier": 2,
"subtotal": 1200
},
"node": {
"base": 1000,
"extras": [
{
"charged": 1,
"count": 2,
"fee_per_unit": 100,
"included": 1,
"name": "Signatures",
"subtotal": 100
}
]
},
"service": {
"base": 1000,
"extras": [
{
"charged": 1,
"count": 2,
"fee_per_unit": 100,
"included": 1,
"name": "Signatures",
"subtotal": 100
}
]
},
"total": 1000,
"notes": [
"Fallback to worst-case due to missing state"
]
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}{
"_status": {
"messages": [
{
"message": "Require at least 1/3 signature files to prove consensus, got 1 out of 4 for file 2019-10-11T13_33_25.526889Z.rcd_sig"
}
]
}
}Query Parameters
Body
A protobuf-encoded HAPI Transaction to be priced.
The body is of type file.
Response
OK
The response containing the estimated transaction fees.
The node fee component which is to be paid to the node that submitted the transaction to the network. This fee exists to compensate the node for the work it performed to pre-check the transaction before submitting it, and incentivizes the node to accept new transactions from users.
Show child attributes
Show child attributes
Was this page helpful?